#
# spec file for package purple-hangouts
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           purple-hangouts
Version:	0.0.0+hg20160528.251
Release:	1.137
License:	GPL-3.0
Summary:	Hangouts plugin for libpurple
Url:	https://bitbucket.org/EionRobb/purple-hangouts
Group:	Productivity/Networking/Instant Messaging
Source:	%{name}-%{version}.tar.xz
BuildRequires:	json-glib-devel
BuildRequires:	glib2-devel
BuildRequires:	libpurple-devel
BuildRequires:	mozilla-nss-devel
BuildRequires:	zlib-devel
BuildRequires:	libprotobuf-c-devel
BuildRequires:	pidgin
BuildRequires:  protobuf-c
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:         fix-protobuf-include.patch

%description
Adds support for Hangouts to Pidgin, Adium, Finch and other libpurple
based messengers.

%package -n libpurple-plugin-hangouts
Summary:	Hangouts plugin for libpurple
Group:	Productivity/Networking/Instant Messaging
Requires:	pidgin

%description -n libpurple-plugin-hangouts
Adds support for Hangouts to Pidgin, Adium, Finch and other libpurple
based messengers.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS+="-I%{_includedir}/glib-2.0 -I. %{optflags}"
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/purple-2/
mkdir -p %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/{16,22,48}
make install DESTDIR=%{buildroot} %{?_smp_mflags}
install -p hangouts16.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/16/hangouts.png
install -p hangouts22.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/22/hangouts.png
install -p hangouts48.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/48/hangouts.png

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libpurple-plugin-hangouts
%defattr(-,root,root)
%doc README.md
%{_libdir}/purple-2/libhangouts.so
%{_datadir}/pixmaps/pidgin/protocols/*/hangouts.png

%changelog
* Sun May 29 2016 thb@documentfoundation.org
- Update to recent upstream
- Build now requires protoc-c from protobuf-c
- Add fix-protobuf-include.patch: fix protobuf includes
* Sun Mar  6 2016 i@marguerite.su
- initial version
